Bug 1297524 - Review Request: golang-github-asaskevich-govalidator - Validators and sanitizers for strings, numerics, slices and structs
Review Request: golang-github-asaskevich-govalidator - Validators and sanitiz...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Athos Ribeiro
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 13:57 EST by Ed Marshall
Modified: 2017-05-23 17:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-09 17:23:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
athoscribeiro: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ed Marshall 2016-01-11 13:57:27 EST
Spec URL: https://fedorapeople.org/~logic/vault/golang-github-asaskevich-govalidator/golang-github-asaskevich-govalidator.spec
SRPM URL: https://fedorapeople.org/~logic/vault/golang-github-asaskevich-govalidator/golang-github-asaskevich-govalidator-2-1.fc24.src.rpm
Description: A package of validators and sanitizers for strings, structs and collections. Based on validator.js.
Fedora Account System Username: logic
Comment 1 Michael Scherer 2016-02-01 06:19:32 EST
Seems to not build on Fedora Review:
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.VXfc9R
+ umask 022
+ cd /builddir/build/BUILD
+ cd govalidator-5fe52de9fffecc6df9539fcfd6ac6ae6aa6fc626
+ export GOPATH=/builddir/build/BUILDROOT/golang-github-asaskevich-govalidator-2-1.fc23.x86_64//usr/share/gocode:/usr/share/gocode
+ GOPATH=/builddir/build/BUILDROOT/golang-github-asaskevich-govalidator-2-1.fc23.x86_64//usr/share/gocode:/usr/share/gocode
+ go test -compiler gc -ldflags '' github.com/asaskevich/govalidator
/var/tmp/rpm-tmp.VXfc9R: line 33: go: command not found
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.VXfc9R (%check)
    Bad exit status from /var/tmp/rpm-tmp.VXfc9R (%check)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
Comment 3 marcindulak 2017-03-20 17:52:05 EDT
Hi, are you planning to make your vault dependencies available also in EPEL7?

Several of them are needed for
https://copr.fedorainfracloud.org/coprs/marcindulak/minishift/
Comment 4 Athos Ribeiro 2017-05-01 19:36:07 EDT
Hello,

I will take this review.

- License field is wrong (!!FILL!!) in the new spec.

- Version 6 is out, do you want to package it before we proceed (and use the new gofed version to generate the spec file)?

- Note that if you are packaging a post release, you should not use the 0.N notation. Also, there are new guidelines on pre/post releases. In special, the date when the snapshot was taken must be in the release tag. See [1] and [2].

- You could also remove the empty conditional blocks to improve readability

[1] https://fedoraproject.org/wiki/Packaging:Versioning
[2] https://fedoraproject.org/wiki/Package_Versioning_Examples
Comment 5 Ed Marshall 2017-05-01 20:14:48 EDT
Spec URL: https://fedorapeople.org/~logic/golang-github-asaskevich-govalidator/golang-github-asaskevich-govalidator.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/9064/19359064/golang-github-asaskevich-govalidator-6-1.fc27.src.rpm

Scratch rawhide koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=19359063

Thanks for taking the time to take a look at this!

- Fixed License field. Whoops. :(

- Updated to v6, and cleaned up Release. Since upstream is making releases, I'd like to stick to that if possible, rather than chasing SHAs.

- I'm a little hesitant to remove any of the boilerplate that gofed adds, just because I'm trying very hard not to deviate much from the generated output (to keep diffs from future runs to a minimum).

(It might be more worthwhile spending some time making gofed's output less verbose when a resulting outputted block is a no-op?)
Comment 6 Athos Ribeiro 2017-05-01 22:13:01 EDT
> - I'm a little hesitant to remove any of the boilerplate that gofed adds,
> just because I'm trying very hard not to deviate much from the generated
> output (to keep diffs from future runs to a minimum).
> 
> (It might be more worthwhile spending some time making gofed's output less
> verbose when a resulting outputted block is a no-op?)

OK, you are probably right.

There are a few false positives with rpmlint, but they can be safely ignored.

The package looks good now. Approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-asaskevich-govalidator-devel-6-1.fc27.noarch.rpm
          golang-github-asaskevich-govalidator-unit-test-devel-6-1.fc27.x86_64.rpm
          golang-github-asaskevich-govalidator-6-1.fc27.src.rpm
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error Summary(en_US) Validators -> Liquidators
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error Summary(en_US) sanitizers -> sanitizes, sanitize rs, sanitize-rs
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error Summary(en_US) numerics -> numeric, numeric s
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error Summary(en_US) structs -> struts, obstructs, instructs
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error %description -l en_US Validators -> Liquidators
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error %description -l en_US sanitizers -> sanitizes, sanitize rs, sanitize-rs
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error %description -l en_US numerics -> numeric, numeric s
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error %description -l en_US structs -> struts, obstructs, instructs
golang-github-asaskevich-govalidator.src: W: spelling-error Summary(en_US) Validators -> Liquidators
golang-github-asaskevich-govalidator.src: W: spelling-error Summary(en_US) sanitizers -> sanitizes, sanitize rs, sanitize-rs
golang-github-asaskevich-govalidator.src: W: spelling-error Summary(en_US) numerics -> numeric, numeric s
golang-github-asaskevich-govalidator.src: W: spelling-error Summary(en_US) structs -> struts, obstructs, instructs
golang-github-asaskevich-govalidator.src: W: spelling-error %description -l en_US Validators -> Liquidators
golang-github-asaskevich-govalidator.src: W: spelling-error %description -l en_US sanitizers -> sanitizes, sanitize rs, sanitize-rs
golang-github-asaskevich-govalidator.src: W: spelling-error %description -l en_US numerics -> numeric, numeric s
golang-github-asaskevich-govalidator.src: W: spelling-error %description -l en_US structs -> struts, obstructs, instructs
3 packages and 0 specfiles checked; 0 errors, 16 warnings.




Rpmlint (installed packages)
----------------------------
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error Summary(en_US) Validators -> Liquidators
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error Summary(en_US) sanitizers -> sanitizes, sanitize rs, sanitize-rs
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error Summary(en_US) numerics -> numeric, numeric s
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error Summary(en_US) structs -> struts, obstructs, instructs
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error %description -l en_US Validators -> Liquidators
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error %description -l en_US sanitizers -> sanitizes, sanitize rs, sanitize-rs
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error %description -l en_US numerics -> numeric, numeric s
golang-github-asaskevich-govalidator-devel.noarch: W: spelling-error %description -l en_US structs -> struts, obstructs, instructs
2 packages and 0 specfiles checked; 0 errors, 8 warnings.


Requires
--------
golang-github-asaskevich-govalidator-devel (rpmlib, GLIBC filtered):

golang-github-asaskevich-govalidator-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-asaskevich-govalidator-devel



Provides
--------
golang-github-asaskevich-govalidator-devel:
    golang(github.com/asaskevich/govalidator)
    golang-github-asaskevich-govalidator-devel

golang-github-asaskevich-govalidator-unit-test-devel:
    golang-github-asaskevich-govalidator-unit-test-devel
    golang-github-asaskevich-govalidator-unit-test-devel(x86-64)



Source checksums
----------------
https://github.com/asaskevich/govalidator/archive/4918b99a7cb949bb295f3c7bbaf24b577d806e35/govalidator-4918b99.tar.gz :
  CHECKSUM(SHA256) this package     : 18b3616648dc419cf55b2068384b01135bd5b2523abcf812197d5ea62394ee73
  CHECKSUM(SHA256) upstream package : 18b3616648dc419cf55b2068384b01135bd5b2523abcf812197d5ea62394ee73
Comment 7 Gwyn Ciesla 2017-05-02 08:18:35 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-asaskevich-govalidator
Comment 8 Fedora Update System 2017-05-02 16:27:15 EDT
golang-github-asaskevich-govalidator-6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a847f52882
Comment 9 Fedora Update System 2017-05-02 16:27:24 EDT
golang-github-asaskevich-govalidator-6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-91c6250e8a
Comment 10 Fedora Update System 2017-05-02 16:27:31 EDT
golang-github-asaskevich-govalidator-6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-41ddc6a4a3
Comment 11 Fedora Update System 2017-05-04 14:54:56 EDT
golang-github-asaskevich-govalidator-6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-91c6250e8a
Comment 12 Fedora Update System 2017-05-04 16:02:24 EDT
golang-github-asaskevich-govalidator-6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a847f52882
Comment 13 Fedora Update System 2017-05-04 18:05:23 EDT
golang-github-asaskevich-govalidator-6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-41ddc6a4a3
Comment 14 Fedora Update System 2017-05-09 17:23:04 EDT
golang-github-asaskevich-govalidator-6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-05-12 08:04:20 EDT
golang-github-asaskevich-govalidator-6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-05-23 17:24:59 EDT
golang-github-asaskevich-govalidator-6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.